dogarila
Mechanical
- Oct 28, 2001
- 594
I am trying to change the "callout below" component of a dimension using SetText method of DisplayDimension. That section of code looks like this:
When I run the macro the dimension get changed as expected. But when I do a regen the change dissapears and the dimension returns to the initial form.
Changes done using ModelDoc2.EditDimensionProperties2 "stick", they are not reversed at regen but to use that method I have to retrieve first the long list of dimension properties. I want to quickly change just one out of 17.
I am using SW03 SP5.
How do I make the change done with SetText stable?
Code:
strBelow = DispDim.GetText(4)
If (strBelow <> "") Then
strBelow = strBelow & ", " & strTimes
Else
strBelow = strTimes
End If
junk = DispDim.SetText(4, strBelow)
When I run the macro the dimension get changed as expected. But when I do a regen the change dissapears and the dimension returns to the initial form.
Changes done using ModelDoc2.EditDimensionProperties2 "stick", they are not reversed at regen but to use that method I have to retrieve first the long list of dimension properties. I want to quickly change just one out of 17.
I am using SW03 SP5.
How do I make the change done with SetText stable?